curl --request PATCH \
--url https://api.sandbox.isometric.com/mrv/v0/ghg_entries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"completed_on": {
"__typename": "Undefined"
},
"feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
"started_on": {
"__typename": "Undefined"
}
}
'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/ghg_entries/{id}"
payload = {
"completed_on": { "__typename": "Undefined" },
"feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
"started_on": { "__typename": "Undefined" }
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
completed_on: {__typename: 'Undefined'},
feedstock_type_id: 'ftt_1D7KZ1P761S0G7BN',
started_on: {__typename: 'Undefined'}
})
};
fetch('https://api.sandbox.isometric.com/mrv/v0/ghg_entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"co2e_net_removed_kg": 123,
"co2e_net_removed_standard_deviation_kg": 123,
"co2e_net_removed_without_discount_kg": 123,
"completed_on": "2023-12-25",
"credit_allocation": {
"buffer_pool_contribution_kg": 123,
"supplier_allocation_kg": 123
},
"credit_type": "REMOVAL",
"feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
"ghg_statement_id": "ggs_1GDQJ99Z51S0DYW9",
"id": "rmv_1EEM6NJXX1S0EXKD",
"risk_of_reversal_percentage": 123,
"started_on": "2023-12-25",
"supplier_reference_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Patch Ghg Entry
Updates a GHG entry in the Isometric system. The GHG entry will be recalculated, if it is not in an immutable state.
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
20 - 37"rmv_1EEM6NJXX1S0EXKD"
"rmv_1E3V4J2EWSBX5E82"
Body
Date in ISO format (YYYY-MM-DD)
ID of the feedstock type for the GHG entry.
20 - 37"ftt_1D7KZ1P761S0G7BN"
Date in ISO format (YYYY-MM-DD)
Response
Successful Response
The CO₂e removed by this GHG entry once uncertainty discounting has been applied
The standard deviation of the CO₂e net removed and therefore the uncertainty discount applied to the GHG entry
The CO₂e removed by this GHG entry before any uncertainty discounting has been applied
The split of issuable credits between the supplier and buffer pool. Null when risk_of_reversal_percentage is not set.
Show child attributes
Show child attributes
REDUCTION, REMOVAL "REMOVAL"
"REDUCTION"
The feedstock type ID that this entry is associated with.
20 - 37"ftt_1D7KZ1P761S0G7BN"
The GHG statement ID that this entry is associated with. If null, the entry is in draft and has not been submitted for verification.
20 - 37"ggs_1GDQJ99Z51S0DYW9"
20 - 37"rmv_1EEM6NJXX1S0EXKD"
"rmv_1E3V4J2EWSBX5E82"
The percentage of credits contributed to the buffer pool due to risk of reversal.
A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200Was this page helpful?